module command.remoteundostatus.stereooffcommand;

import command.remoteundostatus.command;
import command.remoteundostatus.stereo;

class StereoOffCommand : Command
{
    Stereo stereo;
 
    this(Stereo stereo)
    {
        this.stereo = stereo;
    }
 
    void execute()
    {
        stereo.off();
    }

    void undo()
    {
        stereo.on();
        stereo.setCD();
        stereo.setVolume(11);
    }
}
